// file: $isip/class/sp/Component/cmp_01.cc
// version: $Id: cmp_01.cc 8351 2002-07-12 13:07:31Z picone $
//

// isip include files
//
#include <Console.h>
#include "Component.h"

// method: debug
//

// arguments:
//  const unichar* msg: (input) message to print
//
// return: logical error status
//
// this is the debug method
//
boolean Component::debug(const unichar* msg_a) const {

  // declare local variables
  //
  String value;
  String output;

  // display the input names
  //
  output.debugStr(name(), msg_a, L"input_names_d");
  Console::put(output);
  Console::increaseIndention();
  input_names_d.debug(L"");
  Console::decreaseIndention();

  // display the input offsets
  //
  output.debugStr(name(), msg_a, L"input_offsets_d");
  Console::put(output);
  Console::increaseIndention();
  input_offsets_d.debug(L"");
  Console::decreaseIndention();

  // display the component
  //
  output.debugStr(name(), msg_a, L"component_d");
  Console::put(output);
  Console::increaseIndention();
  algo_d.debug(L"");
  Console::decreaseIndention();

  // display the output name
  //
  output.debugStr(name(), msg_a, L"output_name_d", output_name_d);
  Console::put(output);

  // debug level
  //
  value.assign(debug_level_d);
  output.debugStr(name(), msg_a, L"debug_level_d", value);
  Console::put(output);

  // exit gracefully
  //
  return true;
}
